# PGA460 Demo Visualizer
This is the TI Gallery APP for configuring PGA460 demo in the Sensor and Actuator Plugin.This app is meant to be
used in conjunction with the PGA460 example available as part of the Sensor and Actuator Plugin. This app can also be reached via [TI Gallery](https://dev.ti.com/gallery/) – search for PGA460DemoVisualizer. The
TI Gallery app is a browser-based app and can be run on any PC operating system (Windows®, Linux®, or
macOS®), and TI recommends running the app using the Chrome® browser for the best plotting
performance.

## Steps for using this App

* If this is the first time you are using this App, you may be requested to install a plug-in and the TI Cloud Agent Application.
* Run the PGA460 example on the interested SimpleLink MCU Platform. Also connect to a serial terminal so as to observe the console log for the PGA460 demo.Currently the project settings of this app has been configured for the MSP432 (TIRTOS, CCS Compier) and the app uses JTAG/XDS110 as the transport layer. __If user wishes to use this with any other platform, then the user will have to modify the project properties to suit to the respective platform, He needs to modify the target devices and upload the executable for the intended platform. To modify the project properties the project has to be imported to GUI composer (you can find an option to import to GUI Composer in the gallery app), The project properties are available under the tab "Project"__
* By default the PGA460 example is configured to default values as shown in the PGA460 GUI.The PGA460 demo is in running state and the Preset 1 is configured for Short Distance measurements and Preset 2 is configured for long distance measurements.
* Various other actions which user can perform using the Gallery App are listed below. The list may not cover all available features in the demo, but highlights important features available
  * User can modify various parameters(as seen on the GUI) and reconfigure the demo by hitting the configure button.
  * User can store the current configuration locally using the save config feature.
  * User can reset the various settings available on GUI to initial values.
  * User can load config from PC and set values for the various parameters of the PGA460 demo.
  * User can observe the Echo Data Dump plot in the **Plots, Results and, Status** tab.
  * User can start and stop the ultrasonic measurements.

__NOTE: The UART baud rate dropdown in "PGA460 Interfacing settings" shows various baud rate values. Not all baud rates may be supported in the launchpad under test.__